import { _decorator, Component, Node } from 'cc';
import { PetEquip } from '../../../../consts/API';
import { Sprite } from 'cc';
import TbResource, { IconTypeEnum } from '../../../../tools/TbResource';
import { TD } from '../../../../App';
const { ccclass, property } = _decorator;

@ccclass('PetEquipIcon')
export class PetEquipIcon extends Component {

    @property(Sprite)
    sprite:Sprite;
    @property(Sprite)
    quality:Sprite;
    @property(Node)
    notEquip:Node;

    info:PetEquip;

    onLoad(){
        this.onUpdateView();
    }

    //刷新页面
    onUpdateView(){

        this.notEquip.active = true;
        if(!this.info) return;

        this.notEquip.active = false;

        let config = TD.TbGRoleEquip.get(this.info.equipCfgId);
        TbResource.loadSpriteIcon(IconTypeEnum.宠物装备,config.icon,this.sprite,this);
        TbResource.loadSpriteIcon(IconTypeEnum.品质,config.quality,this.quality,this);
        
    }

    //设置icon
    set(info:PetEquip){
        this.info = info;
        this.onUpdateView();
    }

}


