import { _decorator, Component, Node } from 'cc';
import JNLayerBase from '../../../../extensions/ngame/assets/ngame/ui/base/JNLayerBase';
import { Sprite } from 'cc';
import { PetEquip } from '../../consts/API';
import { resources } from 'cc';
import { SpriteFrame } from 'cc';
import TbResource, { IconTypeEnum } from '../../tools/TbResource';
import { TB } from '../../config/data/schema';
import { app, TD } from '../../App';
import { TablePetEquipIcon } from '../Consts/PetEquip/table/TablePetEquipIcon';
import PetEquipData from '../../data/PetEquipData';
const { ccclass, property } = _decorator;

//弹出锻造装备页面
@ccclass('PetEquipForgingPopupView')
export class PetEquipForgingPopupView extends JNLayerBase {

    //装备展示
    @property(TablePetEquipIcon)
    icon:TablePetEquipIcon;

    info:PetEquip;

    onJNLoad(info:PetEquip){

        super.onJNLoad(info);

        this.info = info;
        this.onUpdateView();

    }

    onUpdateView(){
        let config = TD.TbGRoleEquip.get(this.info.equipCfgId);
        this.icon.set(config);
    }

    //点击穿戴装备
    async onClickWear(){
        await PetEquipData.getIns().wear(this.info);
        app.layer.CloseNode(this.node);
    }

}


