package cn.jisol.game.entity.table;

import cfg.TB.TbGRoleEquipLevel;
import cn.jisol.game.data.TD;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.util.List;
import java.util.stream.Collectors;

@Builder
@Data
@TableName("`equip_forging_bench`")
public class EquipForgingBench {

    @TableId(type = IdType.AUTO)
    private Integer forgingId;          //锻造台Id
    private Long playerId;              //锻造台所属的玩家Id
    private Integer forgingExp;         //锻造等级经验
    private Integer forgingQuality;     //锻造品质等级
    private Integer forgingPetId;       //当前占用宠物Id

    //获取锻造等级
    public Integer getForgingLevel() {
        List<TbGRoleEquipLevel> collect = TD.DATA.getTbGRoleEquipLevel().getDataList().stream().filter(info -> info.exp <= this.forgingExp).collect(Collectors.toList());
        return collect.get(collect.size() - 1).id;
    }
}
